#include "refl/vertex.h"
#include <benchmark/benchmark.h>
auto cls = &TypeInfo<vec3>::StaticClass;
int main() {
	vec3 v;
	float x = sizeof(*cls);
	v.x = 333;
	v.y = 334;
	v.z = 335;
	v.name = "336";
	void* ptr;
	auto rx = Any(ptr);
	auto ov = cls->New(&v);
	//ov.Get("FName", x);
	return -1;
}